WebSphereCell (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereCell interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereCell

All Superinterfaces:
  ConfigurationItem, J2EEDomain, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface WebSphereCell

extends J2EEDomain

Represents a WebSphere cell. Cells are arbitrary, logical groupings of one or more nodes in a WebSphere Application Server distributed network. The WebSphereCell name is not globally unique. Naming collisions may result if different WebSphereCells are loaded that have the exact same WebSphereCell name. Applications are strongly encouraged to use the PrimarySAP naming rule instead of assuming that a WebSphereCell name is unique.

Persistable:
  true
Display Name:
  name,adminHost

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`WebSphereCluster[]` | `getClusters()`
`LogicalContent[]` | `getConfigContents()`
`ConfigFile` | `getConfigFile()`
`WebSphereDeploymentManager` | `getDeploymentManager()`
`java.lang.String` | `getDiscoveryProtocol()`
`WebSphereGlobalSecuritySettings` | `getGlobalSecuritySettings()`
`ComputerSystem` | `getHost()` Deprecated.
`WebSphereSharedLibrary[]` | `getLibraries()`
`WebSphereNode[]` | `getNodes()`
`java.lang.String` | `getRootDirectory()`
`java.lang.String` | `getType()`
`WebSphereVariable[]` | `getVariables()`
`WebSphereVirtualHost[]` | `getVirtualHosts()`
`boolean` | `hasClusters()`
`boolean` | `hasConfigContents()`
`boolean` | `hasConfigFile()`
`boolean` | `hasDeploymentManager()`
`boolean` | `hasDiscoveryProtocol()`
`boolean` | `hasGlobalSecuritySettings()`
`boolean` | `hasHost()`
`boolean` | `hasLibraries()`
`boolean` | `hasNodes()`
`boolean` | `hasRootDirectory()`
`boolean` | `hasType()`
`boolean` | `hasVariables()`
`boolean` | `hasVirtualHosts()`
`void` | `setClusters(WebSphereCluster[] clusters)`
`void` | `setConfigContents(LogicalContent[] contents)`
`void` | `setConfigFile(ConfigFile configFile)`
`void` | `setDeploymentManager(WebSphereDeploymentManager dmgr)`
`void` | `setDiscoveryProtocol(java.lang.String discProtocol)`
`void` | `setGlobalSecuritySettings(WebSphereGlobalSecuritySettings settings)`
`void` | `setHost(ComputerSystem host)`
`void` | `setLibraries(WebSphereSharedLibrary[] libs)`
`void` | `setNodes(WebSphereNode[] nodes)`
`void` | `setRootDirectory(java.lang.String rootDirectory)`
`void` | `setType(java.lang.String type)`
`void` | `setVariables(WebSphereVariable[] vars)`
`void` | `setVirtualHosts(WebSphereVirtualHost[] vhosts)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEDomain
`getAdminHost, getDeployedObjects, getName, getOwner, getPrimarySAP, getResources, getServers, hasAdminHost, hasDeployedObjects, hasName, hasOwner, hasPrimarySAP, hasResources, hasServers, setAdminHost, setDeployedObjects, setName, setOwner, setPrimarySAP, setResources, setServers`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getConfigFile

    ConfigFile getConfigFile()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="false"

### setConfigFile

    void setConfigFile(ConfigFile configFile)

### hasConfigFile

    boolean hasConfigFile()

### getConfigContents

    LogicalContent[] getConfigContents()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setConfigContents

    void setConfigContents(LogicalContent[] contents)

### hasConfigContents

    boolean hasConfigContents()

### getType

    java.lang.String getType()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setType

    void setType(java.lang.String type)

### hasType

    boolean hasType()

### getNodes

    WebSphereNode[] getNodes()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="true"

### setNodes

    void setNodes(WebSphereNode[] nodes)

### hasNodes

    boolean hasNodes()

### getHost

    ComputerSystem getHost()
                           throws AttributeNotSetException

  Deprecated.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Manages" reverse="true"

### setHost

    void setHost(ComputerSystem host)

### hasHost

    boolean hasHost()

### getRootDirectory

    java.lang.String getRootDirectory()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRootDirectory

    void setRootDirectory(java.lang.String rootDirectory)

### hasRootDirectory

    boolean hasRootDirectory()

### getVirtualHosts

    WebSphereVirtualHost[] getVirtualHosts()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Provides" reverse="false"
  Containment Relationship:
    true

### setVirtualHosts

    void setVirtualHosts(WebSphereVirtualHost[] vhosts)

### hasVirtualHosts

    boolean hasVirtualHosts()

### getDeploymentManager

    WebSphereDeploymentManager getDeploymentManager()
                                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Manages" reverse="true"

### setDeploymentManager

    void setDeploymentManager(WebSphereDeploymentManager dmgr)

### hasDeploymentManager

    boolean hasDeploymentManager()

### getGlobalSecuritySettings

    WebSphereGlobalSecuritySettings getGlobalSecuritySettings()
                                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="false"
  Containment Relationship:
    true

### setGlobalSecuritySettings

    void setGlobalSecuritySettings(WebSphereGlobalSecuritySettings settings)

### hasGlobalSecuritySettings

    boolean hasGlobalSecuritySettings()

### getVariables

    WebSphereVariable[] getVariables()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="false"

### setVariables

    void setVariables(WebSphereVariable[] vars)

### hasVariables

    boolean hasVariables()

### getClusters

    WebSphereCluster[] getClusters()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"
  Containment Relationship:
    true

### setClusters

    void setClusters(WebSphereCluster[] clusters)

### hasClusters

    boolean hasClusters()

### getDiscoveryProtocol

    java.lang.String getDiscoveryProtocol()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDiscoveryProtocol

    void setDiscoveryProtocol(java.lang.String discProtocol)

### hasDiscoveryProtocol

    boolean hasDiscoveryProtocol()

### getLibraries

    WebSphereSharedLibrary[] getLibraries()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.DeployedTo" reverse="true"

### setLibraries

    void setLibraries(WebSphereSharedLibrary[] libs)

### hasLibraries

    boolean hasLibraries()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD